Skip to main content
POST
Create Payment Method

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
type
enum<string>
required
Available options:
CUSTOMERBALANCE,
BTC,
LTC,
ETH,
ETH_USDT,
ETH_USDC,
SOL,
SOL_USDT,
SOL_USDC,
PAYPAL,
STRIPE,
SQUARE,
CASHAPP,
VENMO,
ZELLE,
REWARBLE,
PAYPALFF,
AMAZONPS,
SUMUP,
MOLLIE,
SKRILL,
SKRILLP2P,
AUTHORIZENET,
REVOLUTBUSINESS,
LEMONSQUEEZY,
NMI,
OVERPAY,
MONEI,
RAZORPAY,
MERCADOPAGO,
PANDABASE,
VENPAYR,
MISTICPAY,
OVGC,
WHOP,
ADYEN,
DODOPAYMENTS,
PAYMONGO,
SHOPIFY,
MANUAL
Example:

"NMI"

name
string
required

Must not be greater than 100 characters.

Example:

"asyzwszwtxpeqqi"

checkout_name
string

Must not be greater than 100 characters.

Example:

"kymwkiinfowtzmi"

icon_image_id
integer
Example:

12

label
string

Must not be greater than 100 characters.

Example:

"asyzwszwtxpeqqi"

fixed_fee
number

Must be at least -100. Must not be greater than 100.

Example:

10

percentage_fee
number

Must be at least -50. Must not be greater than 50.

Example:

24

min_amount
number

Must be at least 0. Must not be greater than 999999.

Example:

12

max_amount
number

Must be at least 0. Must not be greater than 999999.

Example:

22

currency_override
string

Must not be greater than 3 characters.

Example:

"ki"

hide_powered_by
boolean
Example:

true

is_active
boolean
Example:

true

settings
object
Example:

null

password
string

Must not be greater than 255 characters.

Example:

"Usi|L@vHT"

otp
string

Must not be greater than 6 characters.

Example:

"lowy"

tfa_code
string

Must not be greater than 8 characters.

Example:

"uffsz"

remember_mfa
boolean
Example:

false

Response

200 - undefined